Overview | Package | Class | Tree | Deprecated | Index | Help
| JTS Topology Suite version 1.13
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.vividsolutions.jts.geom.util
Class GeometryEditor.CoordinateSequenceOperation

    java.lang.Object
      com.vividsolutions.jts.geom.util.GeometryEditor.CoordinateSequenceOperation

All Implemented Interfaces:
  GeometryEditor.GeometryEditorOperation

Enclosing class:
  GeometryEditor

    public abstract static class GeometryEditor.CoordinateSequenceOperation

extends java.lang.Object
implements GeometryEditor.GeometryEditorOperation

A `GeometryEditor.GeometryEditorOperation` which edits the `CoordinateSequence` of a `Geometry`. Operates on Geometry subclasses which contains a single coordinate list.

Constructor Summary
`GeometryEditor.CoordinateSequenceOperation()`

Method Summary
`abstract CoordinateSequence` | `edit(CoordinateSequence coordSeq, Geometry geometry)` Edits a `CoordinateSequence` from a `Geometry`.
`Geometry` | `edit(Geometry geometry, GeometryFactory factory)` Edits a Geometry by returning a new Geometry with a modification.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GeometryEditor.CoordinateSequenceOperation

    public GeometryEditor.CoordinateSequenceOperation()

Method Detail

### edit

    public final Geometry edit(Geometry geometry,
                               GeometryFactory factory)

  Description copied from interface: `GeometryEditor.GeometryEditorOperation`
  Edits a Geometry by returning a new Geometry with a modification. The returned Geometry might be the same as the Geometry passed in.

  Specified by:
    `edit` in interface `GeometryEditor.GeometryEditorOperation`
  Parameters:
    `geometry` - the Geometry to modify
    `factory` - the factory with which to construct the modified Geometry (may be different to the factory of the input geometry)
  Returns:
    a new Geometry which is a modification of the input Geometry

### edit

    public abstract CoordinateSequence edit(CoordinateSequence coordSeq,
                                            Geometry geometry)

  Edits a `CoordinateSequence` from a `Geometry`.

  Parameters:
    `coordseq` - the coordinate array to operate on
    `geometry` - the geometry containing the coordinate list
  Returns:
    an edited coordinate sequence (which may be the same as the input)

Overview | Package | Class | Tree | Deprecated | Index | Help
| JTS Topology Suite version 1.13
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD